Subject: bug#23151: 25.1.50; Emacs should have a convenient command for saving unchanged buffers

From: Óscar Fuentes <[email-masked]>
Date: Wed, 30 Mar 2016 16:19:11 +0200

Richard Stallman <[email-masked]> writes:

>   > During an unrelated discussion on emacs-devel, it turns out that
>   > virtually everybody is in the habit of making a change, then deleting
>   > the change, just to make `C-x C-s' work.
>
> That's how I do it.  It's convenient and natural.

If certain modes are enabled, that method does not give back the
original content depending on the exact keys used.

>   >   This means that there is a
>   > need for Emacs to offer a command to save buffers, even if they aren't
>   > changed.
>
> I draw a different conclusion: Emacs already has a simple and obvious
> way to save an unchanged buffer, so no new features are needed for this.

I'll like to see that feature implemented as a safe method of forcing
Emacs to save the file without altering the buffer's content.